#
# spec file for package perl-HTML-Scrubber
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-HTML-Scrubber
Version:        0.15
Release:        bp153.1.12
%define cpan_name HTML-Scrubber
Summary:        Perl extension for scrubbing/sanitizing html
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/HTML-Scrubber/
Source0:        http://www.cpan.org/authors/id/N/NI/NIGELM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::Parser) >= 3.47
BuildRequires:  perl(Module::Build) >= 0.280000
BuildRequires:  perl(Test::CPAN::Meta)
BuildRequires:  perl(Test::EOL)
BuildRequires:  perl(Test::Memory::Cycle)
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(Test::NoTabs)
Requires:       perl(HTML::Entities)
Requires:       perl(HTML::Parser) >= 3.47
%{perl_requires}

%description
If you want to "scrub" or "sanitize" html input in a reliable and flexible
fashion, then this module is for you.

I wasn't satisfied with HTML::Sanitizer because it is based on
HTML::TreeBuilder, so I thought I'd write something similar that works
directly with HTML::Parser.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Oct 11 2015 coolo@suse.com
- updated to 0.15
  see /usr/share/doc/packages/perl-HTML-Scrubber/Changes
  0.15      2015-10-10 15:01:31+01:00 Europe/London
  - Minor spelling check avoidance tweaks
  - Enforce comments to be well formed, to resolve potential security issue
    described in JVN53973084
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.14
  see /usr/share/doc/packages/perl-HTML-Scrubber/Changes
  0.14      2015-04-02 17:20:41+01:00 Europe/London
  - Travis integration  (thanks to mrcaron)
  - Fix some packaging/dist-zilla issues (thanks to mrcaron)
  - check for definedness before calling ->parse (github #3 leejo)
  - Removed the link to HTML::Sanitizer  (github #4 avereha)
  - Removed circular reference (github #5 avereha)
  - Fixed up dependancies from dzil bundles
  - Enforced minimum perl version of 5.8
- remove unmaintained perl-HTML-Scrubber-test_more-version.patch
* Tue Nov 26 2013 coolo@suse.com
- updated to 0.11
  - RT3008 Changed examples to be XSS free
  - RT19063, RT25477 fixed handling of self closing tags,
    for example '<hr />'
  - * attribute rule can be a regexp
  - callbacks in rules to check or adjust attributes with
    custom code (RT15747)
* Mon Aug 15 2011 lars@linux-schulserver.de
- fix build on older Distributions by using up to date Test::More
  from verndorlib directory
  ( perl-HTML-Scrubber-test_more-version.patch )
* Sat Apr  2 2011 coolo@novell.com
- update to 0.09
  - Basic conversion to Dist::Zilla/git
  - Tidies to keep Perl::Critic happier
  - Removed use of naked filehandles
  - Reworked tests to not use predicable temp file name
  - Collapsed duplicate code to a single version
  - Various documentation tweaks
  - Change of maintainer as PODMASTER cannot be contacted
* Fri Feb  4 2011 chris@computersalat.de
- rpmlint
  o wrong-file-end-of-line-encoding
* Wed Dec  1 2010 coolo@novell.com
  * recreated by cpanspec 1.78.03
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Fri Feb 26 2010 lnussel@suse.de
- spec file cleanup
* Fri Sep 14 2007 jfunk@funktronics.ca
- Initial release
